# Class: GraphicPoint

## GraphicPoint()

#### new GraphicPoint()

Source:
  - GraphicPoint.js, line 10

### Methods

#### (async, static) createObj() → {Promise.<GraphicPoint>}

构造一个新的 GraphicPoint 对象。

Source:
  - GraphicPoint.js, line 31

##### Returns:

Type
  Promise.<GraphicPoint>

#### (async, static) getPoint() → {Promise.<Dot>}

获取点的位置

Source:
  - GraphicPoint.js, line 65

##### Returns:

Type
  Promise.<Dot>

#### (async, static) getSize() → {Promise.<Number>}

获取点的大小

Source:
  - GraphicPoint.js, line 104

##### Returns:

Type
  Promise.<Number>

#### (async, static) setPoint(point) → {Promise.<void>}

设置点的位置

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` | Dot | 点的位置

Source:
  - GraphicPoint.js, line 48

##### Returns:

Type
  Promise.<void>

#### (async, static) setPointAndSize(point, size) → {Promise.<void>}

设置点的位置及大小

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` | Dot |
`size` | Number |

Source:
  - GraphicPoint.js, line 125

##### Returns:

Type
  Promise.<void>

#### (async, static) setSize(size) → {Promise.<void>}

设置点的大小

##### Parameters:

Name | Type | Description
--- | --- | ---
`size` | Number |

Source:
  - GraphicPoint.js, line 88

##### Returns:

Type
  Promise.<void>